AMQPConnection::reconnect
AMQPConnection::setLogin
AMQPConnection
PHP Manual

# AMQPConnection::setHost

(PECL amqp >= Unknown)

AMQPConnection::setHost — Set the amqp host.

### Description

public bool AMQPConnection::setHost ( string `$host` )

This method will set the hostname used to connect to the AMQP broker.

### Parameters

`host`

  The hostname of the AMQP broker.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Errors/Exceptions

Throws an AMQPConnectionException if `host` is longer then 1024characters.

### Examples

Example #1 AMQPConnection::setHost() example

`<?php
/* Create a new connection */
$cnn = new AMQPConnection();
// set the hostname
$cnn->setHost('myhost.com');
?>`

AMQPConnection::reconnect
AMQPConnection::setLogin
AMQPConnection
PHP Manual